Get Audiences List
curl --request POST \
--url https://public.plai.io/linkedin/get_audiences_list \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://public.plai.io/linkedin/get_audiences_list"
payload = { "userId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://public.plai.io/linkedin/get_audiences_list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"audiences": [
{
"name": "<string>",
"sourcePlatform": "<string>",
"id": 123,
"type": "<string>",
"account": "<string>",
"destinations": [
{
"destination": "<string>",
"lastModified": 123,
"audienceSize": 123,
"created": 123,
"destinationSegmentId": "<string>",
"status": "<string>",
"matchedCount": 123
}
],
"inputCount": 123
}
],
"error": "<string>"
}
}Linkedin APIs
Get Audiences List
This endpoint is used to get the list of audiences.
POST
/
linkedin
/
get_audiences_list
Get Audiences List
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).
object
Show Results Object
Show Results Object
boolean
Indicates whether the specific operation or API action was
successful.
object[]
Show Audience Object
Show Audience Object
string
The display name of the audience segment.
string
Source platform for the audience (e.g.,
LINKEDIN_BUSINESS_OBJECTIVE_BASED_AUDIENCES,
LIST_UPLOAD).number
The unique numeric identifier for the audience.
string
Audience type (e.g.,
USER, USER_LIST_UPLOAD).string
URN identifier for the associated LinkedIn sponsored
account.
object[]
Show Destination Object
Show Destination Object
string
Platform where audience is used (e.g.,
LINKEDIN).number
Timestamp of last modification (epoch milliseconds).
number
Current size of the audience segment.
number
Timestamp when audience was created (epoch
milliseconds).
string
Unique URN identifier for the destination segment.
string
Audience status (e.g.,
EXPIRED, READY).number
Number of matched users (for
USER_LIST_UPLOAD
types).number
Number of inputs provided for USER_LIST_UPLOAD audiences.
string
Error string if something went wrong